{
  "schema_version": "1.4.0",
  "id": "GHSA-wjhh-pcvh-43xr",
  "modified": "2022-05-14T02:43:38Z",
  "published": "2022-05-14T02:43:38Z",
  "aliases": [
    "CVE-2010-3032"
  ],
  "details": "Integer overflow in the OBGIOPServerWorker::extractHeader function in the ebus-3-3-2-6.dll module in SAP Crystal Reports 2008 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a GIOP packet with a crafted size, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-3032"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/61065"
    },
    {
      "type": "WEB",
      "url": "https://service.sap.com/sap/support/notes/1473327"
    },
    {
      "type": "WEB",
      "url": "http://dvlabs.tippingpoint.com/advisory/TPTI-10-07"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/67080"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/40960"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/513023/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/513024/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/513103/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/42374"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1024334"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/2074"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-08-17T20:00:00Z"
  }
}